| Qore logger_bin Module 2.0.0

Loading...
Searching...
No Matches
Variables
QoreLoggerLevel.h File Reference

## Variables
constexpr int64 | QLL_OFF = LLONG_MAX
| The highest logger level.
constexpr int64 | QLL_FATAL = 50000
| Logger level for fatal errors.
constexpr int64 | QLL_ERROR = 40000
| Logger level for (non-fatal) errors.
constexpr int64 | QLL_WARN = 30000
| Logger level for warnings.
constexpr int64 | QLL_INFO = 20000
| Logger level for informational messages.
constexpr int64 | QLL_DETAIL = 15000
| Logger level for detail messages.
constexpr int64 | QLL_DEBUG = 10000
| Logger level for debugging messages.
constexpr int64 | QLL_TRACE = 5000
| Logger level for trace messages.
constexpr int64 | QLL_ALL = (-LLONG_MAX - 1)
| The lowest logger level.

## Detailed Description

LoggerLevel class definition